Package picard.sam.SamErrorMetric

# Class IndelErrorCalculator

java.lang.Object
picard.sam.SamErrorMetric.BaseErrorCalculator
picard.sam.SamErrorMetric.IndelErrorCalculator

All Implemented Interfaces:
  `BaseCalculator`

public class IndelErrorCalculator extends BaseErrorCalculator
A calculator that estimates the error rate of the bases it observes for indels only.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`nDeletedBases`
Total number of deleted bases
`protected long`
`nDeletions`
Total number of deletions
`protected long`
`nInsertedBases`
Total number of inserted bases
`protected long`
`nInsertions`
Total number of inserts

## Constructor Summary

Constructors
Constructor
Description
`IndelErrorCalculator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)`
the function by which new loci are "shown" to the calculator
`IndelErrorMetric`
`getMetric()`
Returns the metric generated by the observed loci
`String`
`getSuffix()`
The suffix that pertains to the implementation of aggregation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nInsertions

protected long nInsertions
Total number of inserts

### nInsertedBases

protected long nInsertedBases
Total number of inserted bases

### nDeletions

protected long nDeletions
Total number of deletions

### nDeletedBases

protected long nDeletedBases
Total number of deleted bases

## Constructor Details

### IndelErrorCalculator

public IndelErrorCalculator()

## Method Details

### addBase

public void addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)
Description copied from class: `BaseErrorCalculator`
the function by which new loci are "shown" to the calculator

Specified by:
  `addBase` in interface `BaseCalculator`
Overrides:
  `addBase` in class `BaseErrorCalculator`

### getSuffix

public String getSuffix()
The suffix that pertains to the implementation of aggregation

### getMetric

public IndelErrorMetric getMetric()
Returns the metric generated by the observed loci